/**
 * Contentful Delivery API Client. Contains methods which allow access to the
 * different kinds of entities present in Contentful (Entries, Assets, etc).
 */
import { AxiosInstance } from 'contentful-sdk-core';
import { GetGlobalOptions } from './create-global-options';
import { ContentfulClientApi } from './types';
import { ChainOptions } from './utils/client-helpers';
export interface CreateContentfulApiParams {
    http: AxiosInstance;
    getGlobalOptions: GetGlobalOptions;
}
export default function createContentfulApi<OptionType extends ChainOptions>({ http, getGlobalOptions }: CreateContentfulApiParams, options?: OptionType): ContentfulClientApi<undefined>;
